<ui:composition xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:g="http://www.ihe.net/gazelle"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        #{certificateRequestCreator.init()}
        <ui:decorate template="/layout/form/_form_page.xhtml">

            <h2>#{messages['net.ihe.gazelle.atna.RequestANewCertificate']}</h2>

            <p>#{messages['net.ihe.gazelle.atna.ThisPageIsDedicatedToRequestACertificateForYourS']}
                <h:outputText
                        value="#{messages['net.ihe.gazelle.atna.AllRequestsAreValidatedByAnAdministratorYouWillB']}"
                        rendered="#{not certificateRequestCreator.isAutomaticSigningEnabled()}"/>
                #{messages['net.ihe.gazelle.atna.TheIssuedCertificateCanOnlyBeUsedForTestingPurpo']}
            </p>

            <p><span class="fa fa-exclamation-triangle"></span>#{messages['net.ihe.gazelle.atna.IfYouAlreadyHaveAPublicprivateKeyPairAndACertifi']}
                <a href="#{certificateRequestCreator.getSubmitCSRLink()}" title="Submit a Certificate Signing Request">
                    #{messages['net.ihe.gazelle.atna.Here']}
                </a>. #{messages['net.ihe.gazelle.atna.OtherwisePleaseFillTheFollowingForm']}
            </p>

            <h:form id="requestForm">
                <!--<s:token id="requestToken" allowMultiplePosts="true"/>-->
                <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                    <ui:define name="panel_title">
                        #{messages['net.ihe.gazelle.atna.RequestACertificateWithoutCSR']}
                    </ui:define>
                    <div class="form-horizontal">

                        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                            <ui:param name="id" value="caInput"/>
                            <ui:define name="label">#{messages['net.ihe.gazelle.atna.PKICertificateAuthority']}
                            </ui:define>
                            <h:inputText id="caInput" value="#{systemCA.getSubject()}"
                                         styleClass="form-control" disabled="true"/>
                        </s:decorate>

                        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                            <ui:param name="id" value="typeInput"/>
                            <ui:define name="label">#{messages['net.ihe.gazelle.atna.CertificateType']}</ui:define>
                            <h:selectOneMenu id="typeInput" styleClass="form-control gzl-select-text" required="true"
                                             value="#{certificateRequestCreator.certificateExtension}">
                                <f:selectItems value="#{certificateBean.getCertificateExtensions()}"/>
                            </h:selectOneMenu>
                        </s:decorate>

                        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                            <ui:param name="id" value="keySizeInput"/>
                            <ui:define name="label">#{messages['net.ihe.gazelle.atna.KeySize']}</ui:define>
                            <h:selectOneMenu id="keySizeInput" value="#{certificateRequestCreator.keySize}"
                                             styleClass="form-control gzl-select-text">
                                <f:selectItems value="#{certificateRequestCreator.getKeySizes()}"/>
                            </h:selectOneMenu>
                        </s:decorate>

                        <ui:include src="/certificate/subjectform.xhtml">
                            <ui:param name="subjectBean" value="#{certificateRequestCreator}"/>
                            <ui:param name="displaySubjectAlternativeNameInput" value="#{true}"/>
                        </ui:include>

                    </div>

                    <ui:define name="panel_footer">
                        <em class="pull-right">* #{messages['net.ihe.gazelle.atna.Required']}</em>
                        <a4j:commandButton styleClass="gzl-btn-blue"
                                           action="#{certificateRequestCreator.submitWithoutCSR()}"
                                           value="#{messages['net.ihe.gazelle.atna.Request']}"
                                           render="requestForm"/>
                    </ui:define>
                </ui:decorate>
            </h:form>
        </ui:decorate>
    </ui:define>
</ui:composition>
